# BlackJackGUI
Date: 2012-12-22

## Class BlackJackGUI

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Window
      - - java.awt.Frame
        - - javax.swing.JFrame
          - - BlackJackGUI

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants

    public class BlackJackGUI
    extends javax.swing.JFrame

GUI für das Kartenspiel BlackJack Die GUI ist für vier Spieler realisiert. Jeder Spieler kann einen Betrag setzen. Daraufhin erhält er zwei Karten. Er kann weitere Karten ziehen oder aufhören. Wenn alle Spieler fertig sind, bekommt der Dealer seine Karten und der Gewinn wird ermittelt.

Version:
  1.0 vom 20.06.2012
Author:
  Thomas Schaller
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class javax.swing.JFrame

`javax.swing.JFrame.AccessibleJFrame`

### Nested classes/interfaces inherited from class java.awt.Frame

`java.awt.Frame.AccessibleAWTFrame`

### Nested classes/interfaces inherited from class java.awt.Window

`java.awt.Window.AccessibleAWTWindow, java.awt.Window.Type`

### Nested classes/interfaces inherited from class java.awt.Container

`java.awt.Container.AccessibleAWTContainer`

### Nested classes/interfaces inherited from class java.awt.Component

`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

### Field Summary

### Fields inherited from class javax.swing.JFrame

`accessibleContext, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled`

### Fields inherited from class java.awt.Frame

`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

### Fields inherited from class java.awt.Component

`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

### Fields inherited from interface javax.swing.WindowConstants

`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

### Fields inherited from interface java.awt.image.ImageObserver

`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

### Constructor Summary

Constructors
Constructor and Description
`BlackJackGUI(java.lang.String title)`

### Method Summary

Methods
`void` `jBAuswerten_ActionPerformed(java.awt.event.ActionEvent evt)` Aktion, wenn der Auswerten-Button beim Dealer gedrückt wird.
`void` `jBNeu_ActionPerformed(java.awt.event.ActionEvent evt)` Aktion, wenn der "Neues Spiel"-Button beim Dealer gedrückt wird.
`void` `jBSpieler1Beende_ActionPerformed(java.awt.event.ActionEvent evt)` Aktion, wenn Spieler 1 "Beenden" gedrückt hat
`void` `jBSpieler1Setzen_ActionPerformed(java.awt.event.ActionEvent evt)` Aktion, wenn Spieler 1 "Setzen" gedrückt hat
`void` `jBSpieler1Ziehe_ActionPerformed(java.awt.event.ActionEvent evt)` Aktion, wenn Spieler 1 "Karten ziehen" gedrückt hat
`void` `jBSpieler2Beende_ActionPerformed(java.awt.event.ActionEvent evt)` Aktion, wenn Spieler 2 "Beenden" gedrückt hat
`void` `jBSpieler2Setzen_ActionPerformed(java.awt.event.ActionEvent evt)` Aktion, wenn Spieler 2 "Setzen" gedrückt hat
`void` `jBSpieler2Ziehe_ActionPerformed(java.awt.event.ActionEvent evt)` Aktion, wenn Spieler 2 "Karten ziehen" gedrückt hat
`void` `jBSpieler3Beende_ActionPerformed(java.awt.event.ActionEvent evt)` Aktion, wenn Spieler 3 "Beenden" gedrückt hat
`void` `jBSpieler3Setzen_ActionPerformed(java.awt.event.ActionEvent evt)` Aktion, wenn Spieler 3 "Setzen" gedrückt hat
`void` `jBSpieler3Ziehe_ActionPerformed(java.awt.event.ActionEvent evt)` Aktion, wenn Spieler 3 "Karten ziehen" gedrückt hat
`void` `jBSpieler4Beende_ActionPerformed(java.awt.event.ActionEvent evt)` Aktion, wenn Spieler 4 "Beenden" gedrückt hat
`void` `jBSpieler4Setzen_ActionPerformed(java.awt.event.ActionEvent evt)` Aktion, wenn Spieler 4 "Setzen" gedrückt hat
`void` `jBSpieler4Ziehe_ActionPerformed(java.awt.event.ActionEvent evt)` Aktion, wenn Spieler 4 "Karten ziehen" gedrückt hat
`void` `jBStart_ActionPerformed(java.awt.event.ActionEvent evt)` Aktion, wenn alle Spieler gesetzt haben und beim Dealer "Start" gedrückt wurde
`static void` `main(java.lang.String[] args)`
`void` `showSpieler()` Zeigt die Informationen (Guthaben und Kartenwert) über die Spieler an.

### Methods inherited from class javax.swing.JFrame

`addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setIconImage, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

### Methods inherited from class java.awt.Frame

`addNotify, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setBackground, setCursor, setExtendedState, setMaximizedBounds, setMenuBar, setOpacity, setResizable, setShape, setState, setTitle, setUndecorated`

### Methods inherited from class java.awt.Window

`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setType, setVisible, show, toBack, toFront`

### Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate, validateTree`

### Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.awt.MenuContainer

`getFont, postEvent`

### Constructor Detail

#### BlackJackGUI

    public BlackJackGUI(java.lang.String title)

### Method Detail

#### showSpieler

    public void showSpieler()

Zeigt die Informationen (Guthaben und Kartenwert) über die Spieler an.

#### jBStart_ActionPerformed

    public void jBStart_ActionPerformed(java.awt.event.ActionEvent evt)

Aktion, wenn alle Spieler gesetzt haben und beim Dealer "Start" gedrückt wurde

#### jBAuswerten_ActionPerformed

    public void jBAuswerten_ActionPerformed(java.awt.event.ActionEvent evt)

Aktion, wenn der Auswerten-Button beim Dealer gedrückt wird.

#### jBNeu_ActionPerformed

    public void jBNeu_ActionPerformed(java.awt.event.ActionEvent evt)

Aktion, wenn der "Neues Spiel"-Button beim Dealer gedrückt wird.

#### jBSpieler1Setzen_ActionPerformed

    public void jBSpieler1Setzen_ActionPerformed(java.awt.event.ActionEvent evt)

Aktion, wenn Spieler 1 "Setzen" gedrückt hat

#### jBSpieler2Setzen_ActionPerformed

    public void jBSpieler2Setzen_ActionPerformed(java.awt.event.ActionEvent evt)

Aktion, wenn Spieler 2 "Setzen" gedrückt hat

#### jBSpieler3Setzen_ActionPerformed

    public void jBSpieler3Setzen_ActionPerformed(java.awt.event.ActionEvent evt)

Aktion, wenn Spieler 3 "Setzen" gedrückt hat

#### jBSpieler4Setzen_ActionPerformed

    public void jBSpieler4Setzen_ActionPerformed(java.awt.event.ActionEvent evt)

Aktion, wenn Spieler 4 "Setzen" gedrückt hat

#### jBSpieler1Ziehe_ActionPerformed

    public void jBSpieler1Ziehe_ActionPerformed(java.awt.event.ActionEvent evt)

Aktion, wenn Spieler 1 "Karten ziehen" gedrückt hat

#### jBSpieler2Ziehe_ActionPerformed

    public void jBSpieler2Ziehe_ActionPerformed(java.awt.event.ActionEvent evt)

Aktion, wenn Spieler 2 "Karten ziehen" gedrückt hat

#### jBSpieler3Ziehe_ActionPerformed

    public void jBSpieler3Ziehe_ActionPerformed(java.awt.event.ActionEvent evt)

Aktion, wenn Spieler 3 "Karten ziehen" gedrückt hat

#### jBSpieler4Ziehe_ActionPerformed

    public void jBSpieler4Ziehe_ActionPerformed(java.awt.event.ActionEvent evt)

Aktion, wenn Spieler 4 "Karten ziehen" gedrückt hat

#### jBSpieler1Beende_ActionPerformed

    public void jBSpieler1Beende_ActionPerformed(java.awt.event.ActionEvent evt)

Aktion, wenn Spieler 1 "Beenden" gedrückt hat

#### jBSpieler2Beende_ActionPerformed

    public void jBSpieler2Beende_ActionPerformed(java.awt.event.ActionEvent evt)

Aktion, wenn Spieler 2 "Beenden" gedrückt hat

#### jBSpieler3Beende_ActionPerformed

    public void jBSpieler3Beende_ActionPerformed(java.awt.event.ActionEvent evt)

Aktion, wenn Spieler 3 "Beenden" gedrückt hat

#### jBSpieler4Beende_ActionPerformed

    public void jBSpieler4Beende_ActionPerformed(java.awt.event.ActionEvent evt)

Aktion, wenn Spieler 4 "Beenden" gedrückt hat

#### main

    public static void main(java.lang.String[] args)